Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 28 Oct 2012 15:27:41 +0100
From:      Patrick Lamaiziere <patfbsd@davenulle.org>
To:        Alexander Kapshuk <alexander.kapshuk@gmail.com>
Cc:        freebsd-questions@freebsd.org
Subject:   Re: Portupgrade now supports pkgng [/usr/ports/UPDATING]
Message-ID:  <20121028152741.47316eeb@davenulle.org>
In-Reply-To: <508C2668.4010006@gmail.com>
References:  <508C2668.4010006@gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
Le Sat, 27 Oct 2012 21:22:32 +0300,
Alexander Kapshuk <alexander.kapshuk@gmail.com> a écrit :

> Having done all of the above, I ran portupgrade to update all the
> pkgs that needed upgrading on my system, and got the message below:
> root@box0:/root/tmp # portupgrade -varRP --batch -L '%s_%s'
> USING PKGNG
> Packages are not yet suported. Use pkg(8) directly.
> 
> That doesn't sound like portupgrade supports pkgng, or did I misread
> the message in the UPDATING file?

pkg is able to make packages upgrade by itself. I think the good way
to update with packages is "pkg updgrade" then portupgrade to build the
ports without packages avalaible.

Anyway I had many problems with portupgrade and pkg (basically It was
not able to build its database because of inconsistency in
ports dependencies), portmaster with pkgng patch looks better.

Regards.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20121028152741.47316eeb>